OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.TextureFilterMinmax

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTTextureFilterMinmax :: MonadIO m => m Bool
- gl_EXT_texture_filter_minmax :: Bool
- gl_EFFECTIVE_RASTER_SAMPLES_EXT :: GLenum
- gl_MAX_RASTER_SAMPLES_EXT :: GLenum
- gl_MULTISAMPLE_RASTERIZATION_ALLOWED_EXT :: GLenum
- gl_RASTER_FIXED_SAMPLE_LOCATIONS_EXT :: GLenum
- gl_RASTER_MULTISAMPLE_EXT :: GLenum
- gl_RASTER_SAMPLES_EXT :: GLenum
- glRasterSamplesEXT :: MonadIO m => GLuint -> GLboolean -> m ()

# Extension Support

glGetEXTTextureFilterMinmax :: MonadIO m => m Bool

Is the EXT_texture_filter_minmax extension supported?

gl_EXT_texture_filter_minmax :: Bool

Is the EXT_texture_filter_minmax extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTTextureFilterMinmax` in those cases instead.

# Enums

gl_EFFECTIVE_RASTER_SAMPLES_EXT :: GLenum

gl_MAX_RASTER_SAMPLES_EXT :: GLenum

gl_MULTISAMPLE_RASTERIZATION_ALLOWED_EXT :: GLenum

gl_RASTER_FIXED_SAMPLE_LOCATIONS_EXT :: GLenum

gl_RASTER_MULTISAMPLE_EXT :: GLenum

gl_RASTER_SAMPLES_EXT :: GLenum

# Functions

glRasterSamplesEXT

Arguments

:: MonadIO m |
=> GLuint | `samples`.
-> GLboolean | `fixedsamplelocations`.
-> m () |